
QGIS Application - Bug report #17416

Crash on enabling 3D renderer for point layer

2017-11-07 09:13 PM - Anita Graser

Status: Open

Priority: High

Assignee: Martin Dobias

Category: 3D

Affected QGIS version:3.4.1 Regression?: No

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25313

Description

User Feedback

Using OSGeo4W nightly, I load the airports sample layer, enable the 3D viewer, then "Enable 3D renderer" and QGIS crashes.

Report Details

Crash ID: 73972bd9bc26841cafa9dc67bc423954e300b34f

Stack Trace

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

QOpenGLFunctions_3_3_Compatibility::glDrawElementsInstancedBaseVertex :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::NodeManagers::renderTargetManager :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:edea38f7c7

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.2

Running against GDAL: 2.2.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

Related issues:

Related to QGIS Application - Bug report # 17315: 3D Viewer: QGIS Crash when ... Feedback 2017-10-22
Duplicated by QGIS Application - Bug report # 17942: Crash in 3D-view Closed 2018-01-24

Duplicated by QGIS Application - Bug report # 18328: viewing 3D map Closed 2018-03-04

Duplicated by QGIS Application - Bug report # 18890: 3D map view crashes when... Closed 2018-05-01

Duplicated by QGIS Application - Bug report # 21559: QGIS crashes when openin... Closed 2019-03-11

History

#1 - 2017-11-07 09:15 PM - Anita Graser

- Related to Bug report #17315: 3D Viewer: QGIS Crash when activating 3D Map view and 3D renderer added

#2 - 2017-11-07 09:17 PM - Anita Graser

- Assignee set to Martin Dobias

- Priority changed from Normal to High

#3 - 2017-11-22 05:53 PM - Martin Dobias

Unfortunately I cannot replicate (on linux).

Does that happen just with this point layer? Or any point layer you try? How about linestring/polygon layers?

Does basic 3D map view work though?

The backtrace suggests it may have something to do with graphics card drivers (or maybe Qt 3D doing some invalid calls). What graphics card / drivers do

you have? Is it possible for you to give it a try on a different computer (with a different kind of graphics card) ?

#4 - 2017-11-22 08:21 PM - Anita Graser

It happens with all QGIS sample Shapefiles (point, line, and polygon).

What do you mean with "basic 3D map view"?

This happens on my ASUS Zen notebook with Intel Iris graphics card. I'll try another Win machine.

#5 - 2017-11-23 01:55 PM - Martin Dobias

With "basic 3D map view" I meant just to be able to open the 3D map view, do some zooming/panning around, configure terrain based on DEM... in

general any interaction with the 3D view that does not involve enabling 3D renderers of individual layers - to understand whether there are more cases of

interacting with 3D view and getting crashes...

#6 - 2017-11-23 07:00 PM - Giovanni Manghi

- Status changed from Open to Feedback

#7 - 2017-11-23 07:57 PM - Anita Graser

- Operating System set to Win10

There are no crashes on my desktop PC with NVIDIA GeForce GTX 670.

#8 - 2017-11-23 09:40 PM - Anita Graser
Back on the notebook: Configuring a DEM for 3D view works without crashes, but any vector layer with 3D enabled does crash.

#9 - 2017-11-24 01:51 PM - Giovanni Manghi

- Status changed from Feedback to Open

#10 - 2018-01-26 02:18 PM - Martin Dobias

- Duplicated by Bug report #17942: Crash in 3D-view added

#11 - 2018-06-13 11:26 AM - Martin Dobias

- Duplicated by Bug report #18328: viewing 3D map added

#12 - 2018-06-13 11:34 AM - Martin Dobias

- Duplicated by Bug report #18890: 3D map view crashes when enabling 3d rendering on vector layers added

#13 - 2018-11-08 01:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#14 - 2018-11-08 08:29 PM - Anita Graser

- Affected QGIS version changed from master to 3.4.1

Crash ID: c587ac0acefb704a3b5a2710166a63889539d3b8

Stack Trace

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

DrvGetLayerPaletteEntries :

QOpenGLFunctions_3_3_Compatibility::glDrawElementsInstancedBaseVertex :

Qt3DRender::Render::Renderer::performDraw :

Qt3DRender::Render::Renderer::executeCommandsSubmission :

Qt3DRender::Render::Renderer::submitRenderViews :

Qt3DRender::Render::Renderer::doRender :

Qt3DRender::Render::Renderer::render :

Qt3DRender::Render::AbstractRenderer::~AbstractRenderer :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: bf10953329
Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#15 - 2018-11-08 08:29 PM - Anita Graser

- Status changed from Feedback to Open

#16 - 2019-03-13 03:48 PM - Martin Dobias

- Duplicated by Bug report #21559: QGIS crashes when opening 3D view added

2024-03-13 4/4


